Subject: bug#9728: Incorrect -L flags order for HP-UX

From: Bob Friesenhahn <[email-masked]>
Date: Thu, 13 Oct 2011 21:39:56 -0500 (CDT)

On Fri, 14 Oct 2011, Vincent Lefevre wrote:
>> It should be possible for the user to build a package doing
>> ./configure ..options..; make LDFLAGS=-fancyflag
>> CPPFLAGS=-I/want/coffee;
>
> I don't think this should be allowed: MPFR does some tests at
> configure time based on the current environment. If the user
> modifies the environment at make time, the configure tests no
> longer make sense (e.g. modifying LDFLAGS at make time can select
> a different GMP version). So, if the user does this, it is up to

Actually, the user should be allowed to shoot themselves in the foot 
if they request it.  LDFLAGS should be set including the user-provided 
setting during the entire configure run so test results should be 
valid.  I know that MPFR configure does work differently than almost 
any other software package.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/